MQNetBIOSListener (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQNetBIOSListener interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQNetBIOSListener

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, MQListener, java.io.Serializable

    public interface MQNetBIOSListener

extends MQListener

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`int` | `getAdapter()` ADAPTER(integer) The adapter number on which NetBIOS listens.
`int` | `getCommandsNum()` COMMANDS(integer) The number of commands that the listener can use.
`java.lang.String` | `getLocalName()` LOCLNAME(string) The NetBIOS local name that the listener uses.
`int` | `getNamesNum()` NTBNAMES(integer) The number of names that the listener can use.
`NetBIOSProtocolEndpoint` | `getNetbiosProtocolEndpoint()`
`int` | `getSessionsNum()` SESSIONS(integer) The number of sessions that the listener can use.
`boolean` | `hasAdapter()`
`boolean` | `hasCommandsNum()`
`boolean` | `hasLocalName()`
`boolean` | `hasNamesNum()`
`boolean` | `hasNetbiosProtocolEndpoint()`
`boolean` | `hasSessionsNum()`
`void` | `setAdapter(int x)`
`void` | `setCommandsNum(int x)`
`void` | `setLocalName(java.lang.String x)`
`void` | `setNamesNum(int x)`
`void` | `setNetbiosProtocolEndpoint(NetBIOSProtocolEndpoint x)`
`void` | `setSessionsNum(int x)`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQListener
`getBacklog, getControl, getName, getQueueManager, getStartTime, hasBacklog, hasControl, hasName, hasQueueManager, hasStartTime, setBacklog, setControl, setName, setQueueManager, setStartTime`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSessionsNum

    int getSessionsNum()
                       throws AttributeNotSetException

  SESSIONS(integer) The number of sessions that the listener can use. If you do not specify a value, the default value defined for the protocol is used. This parameter is valid only on Windows when TRPTYPE is NETBIOS

  Throws:
    `AttributeNotSetException`

### setSessionsNum

    void setSessionsNum(int x)

### hasSessionsNum

    boolean hasSessionsNum()

### getAdapter

    int getAdapter()
                   throws AttributeNotSetException

  ADAPTER(integer) The adapter number on which NetBIOS listens. By default, the listener uses adapter 0. This parameter is valid only on Windows when TRPTYPE is NETBIOS.

  Throws:
    `AttributeNotSetException`

### setAdapter

    void setAdapter(int x)

### hasAdapter

    boolean hasAdapter()

### getNamesNum

    int getNamesNum()
                    throws AttributeNotSetException

  NTBNAMES(integer) The number of names that the listener can use. If you do not specify a value, the default value defined by the protocol is used. This parameter is valid only on Windows when TRPTYPE is NETBIOS.

  Throws:
    `AttributeNotSetException`

### setNamesNum

    void setNamesNum(int x)

### hasNamesNum

    boolean hasNamesNum()

### getLocalName

    java.lang.String getLocalName()
                                  throws AttributeNotSetException

  LOCLNAME(string) The NetBIOS local name that the listener uses. This parameter is valid only on Windows when TRPTYPE is NETBIOS.

  Throws:
    `AttributeNotSetException`

### setLocalName

    void setLocalName(java.lang.String x)

### hasLocalName

    boolean hasLocalName()

### getNetbiosProtocolEndpoint

    NetBIOSProtocolEndpoint getNetbiosProtocolEndpoint()
                                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BindsTo" reverse="false"

### setNetbiosProtocolEndpoint

    void setNetbiosProtocolEndpoint(NetBIOSProtocolEndpoint x)

### hasNetbiosProtocolEndpoint

    boolean hasNetbiosProtocolEndpoint()

### getCommandsNum

    int getCommandsNum()
                       throws AttributeNotSetException

  COMMANDS(integer) The number of commands that the listener can use. If you do not specify a value, the default value defined by the protocol is used. This parameter is valid only on Windows when TRPTYPE is NETBIOS.

  Throws:
    `AttributeNotSetException`

### setCommandsNum

    void setCommandsNum(int x)

### hasCommandsNum

    boolean hasCommandsNum()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD